WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Issues with alsa & 'alsa-plugins'  (Read 1302 times)

Offline logo78

  • WikiUser
  • *
  • Posts: 1
Issues with alsa & 'alsa-plugins'
« on: October 07, 2015, 04:43:01 AM »
Hi,
i am using the PI as squeezboxlite client, for my multiroom system.

I do have to use the the alsa internal rate converter.
The rate converter is only, if you dont define 'rate_converter' settings in asound.conf

After some troubleshooting i recognized, that the extension 'alsa-plugins' is missing, where the different converter binaries are located.
These modules has been removed from piCore/tiny core linux, after v5.x, respectively has not been considered in to the future releases.
I didnt find any description here in the form, neither a move this libs to an another extension.

A manual copy of 'alsa-plugins.tcz' and including in onboot.lst doesnt help unfortunately.

the last alsa-plugins.tcz.info:
Code: newbielink:javascript:void(0); [nonactive]
Title:          alsa-plugins.tcz
Description:    ALSA plugins
Version:        1.0.28
Author:         Alsa Team
Original-site:  http://www.alsa-project.org
Copying-policy: LGPL v2.1
Size:           66k
Extension_by:   bmarkus
Tags:           SOUND LIBRARY PLUGIN ALSA
Comments:       Binaries only
                ----
                Compiled for RPI
Change-log:     2013/01/06 First version, 1.0.26
Current:        2014/06/19 Updated to 1.0.28

If the rate_converter is defined as default or in the corresponding pcm in /etc/asound.conf, a 48khz stream is not played.
If you are not defining the rate_converter, the 48khz gets converted to 44.1khz, but with the unknown default setting and a quite high cpu load.
I guess, the main alsa binaries/packages in TCL, respectively in piCore are compiled without the alsa-plugins 'option'.

Any ideas for a workaround to get the alsa-plugins working?
In addition, the alsa.tcz is been updated to 1.0.29... It would great, if this gets considered for one of the next releases?

Thanks...